# dpx::GenericHeader Struct Reference

Generic File and Image Header Information. More...

`#include <DPXHeader.h>`

Inherited by dpx::Header.

Collaboration diagram for dpx::GenericHeader:
[legend]

List of all members.

## Public Member Functions
| GenericHeader ()
| Constructor.
void | Reset ()
| Reset class to initial state.
int | ImageElementCount () const
| Number of Active Elements in the Image.
void | CalculateNumberOfElements ()
| Set member numberOfElements based on channel structure.
int | ImageElementComponentCount (const int element) const
| Number of components for the element.
DataSize | ComponentDataSize (const int element) const
| DataSize required for individual image element components.
int | ComponentByteCount (const int element) const
| Byte count of data element components.
File Information Methods
U32 | MagicNumber () const
| Get magic number, used for byte ordering identification.
U32 | ImageOffset () const
| Get the offset in bytes to the start of the first image element.
void | SetImageOffset (const U32 offset)
| Set the offset in bytes to the start of the first image element.
void | Version (char *v) const
| Get current version string of header.
void | SetVersion (const char *v)
| Set the version string.
U32 | FileSize () const
| Get the size of the entire file.
void | SetFileSize (const U32 fs)
| Set the size of the entire file.
U32 | DittoKey () const
| Get the ditto key.
void | SetDittoKey (const U32 key)
| Set the ditto key.
U32 | GenericSize () const
| Get the size of the generic section within the header.
U32 | IndustrySize () const
| Get the size of the industry section within the header.
U32 | UserSize () const
| Get the size of the user data.
void | SetUserSize (const U32 size)
| Set the size of the user data.
void | FileName (char *fn) const
| Get the file name.
void | SetFileName (const char *fn)
| Set the file name.
void | CreationTimeDate (char *ct) const
| Get the creation time/date.
void | SetCreationTimeDate (const char *ct)
| Set the creation time/date.
void | SetCreationTimeDate (const long secs)
| Set the creation time/date.
void | Creator (char *creat) const
| Get the creator.
void | SetCreator (const char *creat)
| Set the creator.
void | Project (char *prj) const
| Get the project.
void | SetProject (const char *prj)
| Set the project.
void | Copyright (char *copy) const
| Get the copyright information.
void | SetCopyright (const char *copy)
| Set the copyright information.
U32 | EncryptKey () const
| Get the encryption key (no encryption is 0xffffffff).
void | SetEncryptKey (const U32 key)
| Set the encryption key (no encryption is 0xffffffff).
Image Information Methods
Orientation | ImageOrientation () const
| Get the image orientation.
void | SetImageOrientation (const Orientation orient)
| Set the image orientation.
U16 | NumberOfElements () const
| Get the number of elements.
void | SetNumberOfElements (const U16 num)
| Set the number of elements.
U32 | PixelsPerLine () const
| Get the pixels per line.
void | SetPixelsPerLine (const U32 ppl)
| Set the pixels per line.
U32 | LinesPerElement () const
| Get the lines per element.
void | SetLinesPerElement (const U32 lpe)
| Set the lines per element.
U32 | DataSign (const int i) const
| Get the data sign (0 = unsigned, 1 = signed).
void | SetDataSign (const int i, const U32 sign)
| Set the data sign (0 = unsigned, 1 = signed).
U32 | LowData (const int i) const
| Get the minimum data value.
void | SetLowData (const int i, const U32 data)
| Set the minimum data value.
R32 | LowQuantity (const int i) const
| Get the quantity of minimum data value.
void | SetLowQuantity (const int i, const R32 quant)
| Set the quantity of minimum data value.
U32 | HighData (const int i) const
| Get the maximum data value.
void | SetHighData (const int i, const U32 data)
| Set the maximum data value.
R32 | HighQuantity (const int i) const
| Get the quantity of maximum data value.
void | SetHighQuantity (const int i, const R32 quant)
| Set the quantity of maximum data value.
Descriptor | ImageDescriptor (const int i) const
| Get the component defintion.
void | SetImageDescriptor (const int i, const Descriptor desc)
| Set the component defintion.
Characteristic | Transfer (const int i) const
| Get the amplitude transfer function.
void | SetTransfer (const int i, const Characteristic ch)
| Set the amplitude transfer function.
Characteristic | Colorimetric (const int i) const
| Get the color reference.
void | SetColorimetric (const int i, const Characteristic c)
| Set the color reference.
U8 | BitDepth (const int i) const
| Get the bit size of each component.
void | SetBitDepth (const int i, const U8 depth)
| Set the bit size of each component.
Packing | ImagePacking (const int i) const
| Get the data packing mode.
void | SetImagePacking (const int i, const Packing pack)
| Set the data packing mode.
Encoding | ImageEncoding (const int i) const
| Get the encoding method.
void | SetImageEncoding (const int i, const Encoding enc)
| Set the encoding method.
U32 | DataOffset (const int i) const
| Get the offset to element.
void | SetDataOffset (const int i, const U32 offset)
| Set the offset to element.
U32 | EndOfLinePadding (const int i) const
| Get the number of bytes padding the end of each line.
void | SetEndOfLinePadding (const int i, const U32 eolp)
| Set the number of bytes padding the end of each line.
U32 | EndOfImagePadding (const int i) const
| Get the number of bytes padding the end of the image element.
void | SetEndOfImagePadding (const int i, const U32 eoip)
| Set the number of bytes padding the end of the image element.
void | Description (const int i, char *desc) const
| Get the element description.
void | SetDescription (const int i, const char *desc)
| Set the element description.
Image Origination Methods
U32 | XOffset () const
| Get the line offset (in pixels) from the first pixel in original image.
void | SetXOffset (const U32 offset)
| Set the line offset (in pixels) from the first pixel in original image.
U32 | YOffset () const
| Get the frame offset (in lines) from the first line in original image.
void | SetYOffset (const U32 offset)
| Set the frame offset (in lines) from the first line in original image.
R32 | XCenter () const
| Get the X image center in pixels.
void | SetXCenter (const R32 center)
| Set the X image center in pixels.
R32 | YCenter () const
| Get the Y image center in pixels.
void | SetYCenter (const R32 center)
| Set the Y image center in pixels.
U32 | XOriginalSize () const
| Get the number of pixels per line in the original image.
void | SetXOriginalSize (const U32 size)
| GSt the number of pixels per line in the original image.
U32 | YOriginalSize () const
| Get the number of lines per image in the original image.
void | SetYOriginalSize (const U32 size)
| Set the number of lines per image in the original image.
void | SourceImageFileName (char *fn) const
| Get the source image file name that this image was extracted.
void | SetSourceImageFileName (const char *fn)
| Set the source image file name that this image was extracted.
void | SourceTimeDate (char *td) const
| Get the source image time and date that this image was extracted.
void | SetSourceTimeDate (const char *td)
| Set the source image time and date that this image was extracted.
void | SetSourceTimeDate (const long secs)
| Set the source image time and date that this image was extracted.
void | InputDevice (char *dev) const
| Get the input device name.
void | SetInputDevice (const char *dev)
| Set the input device name.
void | InputDeviceSerialNumber (char *sn) const
| Get the input device serial number.
void | SetInputDeviceSerialNumber (const char *sn)
| Set the input device serial number.
U16 | Border (const int i) const
| Get the pixel offset for the border region.
void | SetBorder (const int i, const U16 bord)
| Set the pixel offset for the border region.
U32 | AspectRatio (const int i) const
| Get the pixel aspect ratio (horizontal:vertical).
void | SetAspectRatio (const int i, const U32 ar)
| Set the pixel aspect ratio (horizontal:vertical).
R32 | XScannedSize () const
| Get the horizontal size of the original scanned optical image.
void | SetXScannedSize (const R32 size)
| Set the horizontal size of the original scanned optical image.
R32 | YScannedSize () const
| Get the vertical size of the original scanned optical image.
void | SetYScannedSize (const R32 size)
| Set the vertical size of the original scanned optical image.
## Static Public Member Functions
static int | DataSizeByteCount (const DataSize ds)
## Public Attributes
File Information Members
U32 | magicNumber
| Indicates start of DPX image file and is used to determine byte order.
U32 | imageOffset
| Offset to image data (in bytes).
ASCII | version [8]
| Version number of header format.
U32 | fileSize
| Total file size (in bytes).
U32 | dittoKey
| Ditto Key (0 = same as previous frame, 1 = new).
U32 | genericSize
| Generic Header length (in bytes).
U32 | industrySize
| Industry Header length (in bytes).
U32 | userSize
| User defined header length (in bytes).
ASCII | fileName [100]
| File name.
ASCII | creationTimeDate [24]
| Create date time /see DateTimeFormat.
ASCII | creator [100]
| Creator.
ASCII | project [200]
| Project name.
ASCII | copyright [200]
| Copyright statement.
U32 | encryptKey
| Encryption Key (0xffffffff if unencrypted).
ASCII | reserved1 [104]
| Reserved.
Image Information Members
U16 | imageOrientation
| Image orientation.
U16 | numberOfElements
| Number of elements (1-8).
U32 | pixelsPerLine
| Pixels per line.
U32 | linesPerElement
| Lines per element.
ImageElement | chan [MAX_ELEMENTS]
| Image element data structures.
ASCII | reserved2 [52]
| Reserved.
Image Origination Members
U32 | xOffset
| X offset.
U32 | yOffset
| Y offset.
R32 | xCenter
| X center.
R32 | yCenter
| Y center.
U32 | xOriginalSize
| X original size.
U32 | yOriginalSize
| Y original size.
ASCII | sourceImageFileName [100]
| Source image file name.
ASCII | sourceTimeDate [24]
| Source date and time /see DateTimeFormat.
ASCII | inputDevice [32]
| Input device name.
ASCII | inputDeviceSerialNumber [32]
| Input device serial number.
U16 | border [4]
| Border validity.
U32 | aspectRatio [2]
| Pixel aspect ratio (horizontal:vertical).
R32 | xScannedSize
| X scanned size.
R32 | yScannedSize
| Y scanned size.
ASCII | reserved3 [20]
| Reserved.

## Detailed Description

Generic File and Image Header Information.

## Constructor & Destructor Documentation

dpx::GenericHeader::GenericHeader | ( |  | ) |

Constructor.

## Member Function Documentation

U32 dpx::GenericHeader::AspectRatio | ( | const int | i | ) | const`[inline]`

Get the pixel aspect ratio (horizontal:vertical).

Parameters:

  | i | aspect ratio index (0-1)

Returns:
  ratio quantity

U8 dpx::GenericHeader::BitDepth | ( | const int | i | ) | const`[inline]`

Get the bit size of each component.

Parameters:

  | i | element index (0-7)

Returns:
  bit size

U16 dpx::GenericHeader::Border | ( | const int | i | ) | const`[inline]`

Get the pixel offset for the border region.

There are 4 border pixel offsets that define a region -- X-left, X-right, Y-top, Y-bottom

Parameters:

  | i | border index (0-3)

Returns:
  offset in pixels

void dpx::GenericHeader::CalculateNumberOfElements | ( |  | ) |

Set member numberOfElements based on channel structure.

Characteristic dpx::GenericHeader::Colorimetric | ( | const int | i | ) | const`[inline]`

Get the color reference.

Parameters:

  | i | element index (0-7)

Returns:
  colorimetric specification

int dpx::GenericHeader::ComponentByteCount | ( | const int | element | ) | const

Byte count of data element components.

Returns:
  byte count

dpx::DataSize dpx::GenericHeader::ComponentDataSize | ( | const int | element | ) | const

DataSize required for individual image element components.

Returns:
  datasize of element

void dpx::GenericHeader::Copyright | ( | char * | copy | ) | const`[inline]`

Get the copyright information.

Parameters:

  | copy | buffer to store copyright string (200+1 chars)

void dpx::GenericHeader::CreationTimeDate | ( | char * | ct | ) | const`[inline]`

Get the creation time/date.

Parameters:

  | ct | buffer to store creation time/date (24+1 chars)

void dpx::GenericHeader::Creator | ( | char * | creat | ) | const`[inline]`

Get the creator.

Parameters:

  | creat | buffer to store creator (100+1 chars)

U32 dpx::GenericHeader::DataOffset | ( | const int | i | ) | const`[inline]`

Get the offset to element.

Parameters:

  | i | element index (0-7)

Returns:
  offset in bytes from the start of the file

U32 dpx::GenericHeader::DataSign | ( | const int | i | ) | const`[inline]`

Get the data sign (0 = unsigned, 1 = signed).

Parameters:

  | i | element index (0-7)

Returns:
  data sign

int dpx::GenericHeader::DataSizeByteCount | ( | const DataSize | ds | ) | `[static]`

void dpx::GenericHeader::Description | ( | const int | i,
|  | char * | desc |
| ) |  |  | const`[inline]`

Get the element description.

Parameters:

  | i | element index (0-7)
  | desc | buffer to write description string (32+1 chars)

U32 dpx::GenericHeader::DittoKey | ( |  | ) | const`[inline]`

Get the ditto key.

Returns:
  ditto key

U32 dpx::GenericHeader::EncryptKey | ( |  | ) | const`[inline]`

Get the encryption key (no encryption is 0xffffffff).

Returns:
  encryption key

U32 dpx::GenericHeader::EndOfImagePadding | ( | const int | i | ) | const`[inline]`

Get the number of bytes padding the end of the image element.

Parameters:

  | i | element index (0-7)

Returns:
  count

U32 dpx::GenericHeader::EndOfLinePadding | ( | const int | i | ) | const`[inline]`

Get the number of bytes padding the end of each line.

Parameters:

  | i | element index (0-7)

Returns:
  count

void dpx::GenericHeader::FileName | ( | char * | fn | ) | const`[inline]`

Get the file name.

Parameters:

  | fn | buffer to store filename (100+1 chars)

U32 dpx::GenericHeader::FileSize | ( |  | ) | const`[inline]`

Get the size of the entire file.

Returns:
  file size in bytes

U32 dpx::GenericHeader::GenericSize | ( |  | ) | const`[inline]`

Get the size of the generic section within the header.

Returns:
  generic header size in bytes

U32 dpx::GenericHeader::HighData | ( | const int | i | ) | const`[inline]`

Get the maximum data value.

Parameters:

  | i | element index (0-7)

Returns:
  maximum value

R32 dpx::GenericHeader::HighQuantity | ( | const int | i | ) | const`[inline]`

Get the quantity of maximum data value.

Parameters:

  | i | element index (0-7)

Returns:
  quantity

Descriptor dpx::GenericHeader::ImageDescriptor | ( | const int | i | ) | const`[inline]`

Get the component defintion.

Parameters:

  | i | element index (0-7)

Returns:
  component descriptor

int dpx::GenericHeader::ImageElementComponentCount | ( | const int | element | ) | const

Number of components for the element.

Returns:
  number of components

int dpx::GenericHeader::ImageElementCount | ( |  | ) | const

Number of Active Elements in the Image.

Returns:
  element count

Encoding dpx::GenericHeader::ImageEncoding | ( | const int | i | ) | const`[inline]`

Get the encoding method.

Parameters:

  | i | element index (0-7)

Returns:
  encoding method

U32 dpx::GenericHeader::ImageOffset | ( |  | ) | const`[inline]`

Get the offset in bytes to the start of the first image element.

Returns:
  offset

Orientation dpx::GenericHeader::ImageOrientation | ( |  | ) | const`[inline]`

Get the image orientation.

Returns:
  orientation enum

Packing dpx::GenericHeader::ImagePacking | ( | const int | i | ) | const`[inline]`

Get the data packing mode.

Parameters:

  | i | element index (0-7)

Returns:
  packing method

U32 dpx::GenericHeader::IndustrySize | ( |  | ) | const`[inline]`

Get the size of the industry section within the header.

Returns:
  industry header size in bytes

void dpx::GenericHeader::InputDevice | ( | char * | dev | ) | const`[inline]`

Get the input device name.

Parameters:

  | dev | buffer to write device (32+1)

void dpx::GenericHeader::InputDeviceSerialNumber | ( | char * | sn | ) | const`[inline]`

Get the input device serial number.

Parameters:

  | sn | buffer to write device serial number (32+1)

U32 dpx::GenericHeader::LinesPerElement | ( |  | ) | const`[inline]`

Get the lines per element.

Returns:
  lines count

U32 dpx::GenericHeader::LowData | ( | const int | i | ) | const`[inline]`

Get the minimum data value.

Parameters:

  | i | element index (0-7)

Returns:
  minimum value

R32 dpx::GenericHeader::LowQuantity | ( | const int | i | ) | const`[inline]`

Get the quantity of minimum data value.

Parameters:

  | i | element index (0-7)

Returns:
  quantity

U32 dpx::GenericHeader::MagicNumber | ( |  | ) | const`[inline]`

Get magic number, used for byte ordering identification.

Returns:
  magic number

U16 dpx::GenericHeader::NumberOfElements | ( |  | ) | const`[inline]`

Get the number of elements.

Returns:
  element count

U32 dpx::GenericHeader::PixelsPerLine | ( |  | ) | const`[inline]`

Get the pixels per line.

Returns:
  pixel count

void dpx::GenericHeader::Project | ( | char * | prj | ) | const`[inline]`

Get the project.

Parameters:

  | prj | buffer to store project (200+1 chars)

void dpx::GenericHeader::Reset | ( |  | ) |

Reset class to initial state.

Reimplemented in dpx::Header.

void dpx::GenericHeader::SetAspectRatio | ( | const int | i,
|  | const U32 | ar |
| ) |  |  | `[inline]`

Set the pixel aspect ratio (horizontal:vertical).

Parameters:

  | i | aspect ratio index (0-1)
  | ar | ratio quantity

void dpx::GenericHeader::SetBitDepth | ( | const int | i,
|  | const U8 | depth |
| ) |  |  | `[inline]`

Set the bit size of each component.

Parameters:

  | i | element index (0-7)
  | depth | bit size

void dpx::GenericHeader::SetBorder | ( | const int | i,
|  | const U16 | bord |
| ) |  |  | `[inline]`

Set the pixel offset for the border region.

There are 4 border pixel offsets that define a region -- X-left, X-right, Y-top, Y-bottom

Parameters:

  | i | border index (0-3)
  | bord | offset in pixels

void dpx::GenericHeader::SetColorimetric | ( | const int | i,
|  | const Characteristic | c |
| ) |  |  | `[inline]`

Set the color reference.

Parameters:

  | i | element index (0-7)
  | c | colorimetric specification

void dpx::GenericHeader::SetCopyright | ( | const char * | copy | ) | `[inline]`

Set the copyright information.

Parameters:

  | copy | buffer with copyright string

void dpx::GenericHeader::SetCreationTimeDate | ( | const long | secs | ) |

Set the creation time/date.

Parameters:

  | secs | number of seconds since January 1, 1970 00:00

void dpx::GenericHeader::SetCreationTimeDate | ( | const char * | ct | ) | `[inline]`

Set the creation time/date.

Parameters:

  | ct | buffer with creation time/date

void dpx::GenericHeader::SetCreator | ( | const char * | creat | ) | `[inline]`

Set the creator.

Parameters:

  | creat | buffer with creator

void dpx::GenericHeader::SetDataOffset | ( | const int | i,
|  | const U32 | offset |
| ) |  |  | `[inline]`

Set the offset to element.

Parameters:

  | i | element index (0-7)
  | offset | offset in bytes from the start of the file

void dpx::GenericHeader::SetDataSign | ( | const int | i,
|  | const U32 | sign |
| ) |  |  | `[inline]`

Set the data sign (0 = unsigned, 1 = signed).

Parameters:

  | i | element index (0-7)
  | sign | data sign

void dpx::GenericHeader::SetDescription | ( | const int | i,
|  | const char * | desc |
| ) |  |  | `[inline]`

Set the element description.

Parameters:

  | i | element index (0-7)
  | desc | buffer

void dpx::GenericHeader::SetDittoKey | ( | const U32 | key | ) | `[inline]`

Set the ditto key.

Parameters:

  | key | ditto key

void dpx::GenericHeader::SetEncryptKey | ( | const U32 | key | ) | `[inline]`

Set the encryption key (no encryption is 0xffffffff).

Parameters:

  | key | encryption key

void dpx::GenericHeader::SetEndOfImagePadding | ( | const int | i,
|  | const U32 | eoip |
| ) |  |  | `[inline]`

Set the number of bytes padding the end of the image element.

Parameters:

  | i | element index (0-7)
  | eoip | count

void dpx::GenericHeader::SetEndOfLinePadding | ( | const int | i,
|  | const U32 | eolp |
| ) |  |  | `[inline]`

Set the number of bytes padding the end of each line.

Parameters:

  | i | element index (0-7)
  | eolp | count

void dpx::GenericHeader::SetFileName | ( | const char * | fn | ) | `[inline]`

Set the file name.

Parameters:

  | fn | buffer with filename

void dpx::GenericHeader::SetFileSize | ( | const U32 | fs | ) | `[inline]`

Set the size of the entire file.

Parameters:

  | fs | file size in bytes

void dpx::GenericHeader::SetHighData | ( | const int | i,
|  | const U32 | data |
| ) |  |  | `[inline]`

Set the maximum data value.

Parameters:

  | i | element index (0-7)
  | data | maximum value

void dpx::GenericHeader::SetHighQuantity | ( | const int | i,
|  | const R32 | quant |
| ) |  |  | `[inline]`

Set the quantity of maximum data value.

Parameters:

  | i | element index (0-7)
  | quant | quantity

void dpx::GenericHeader::SetImageDescriptor | ( | const int | i,
|  | const Descriptor | desc |
| ) |  |  | `[inline]`

Set the component defintion.

Parameters:

  | i | element index (0-7)
  | desc | component descriptor

void dpx::GenericHeader::SetImageEncoding | ( | const int | i,
|  | const Encoding | enc |
| ) |  |  | `[inline]`

Set the encoding method.

Parameters:

  | i | element index (0-7)
  | enc | encoding method

void dpx::GenericHeader::SetImageOffset | ( | const U32 | offset | ) | `[inline]`

Set the offset in bytes to the start of the first image element.

Parameters:

  | offset | offset in bytes

void dpx::GenericHeader::SetImageOrientation | ( | const Orientation | orient | ) | `[inline]`

Set the image orientation.

Parameters:

  | orient | orientation

void dpx::GenericHeader::SetImagePacking | ( | const int | i,
|  | const Packing | pack |
| ) |  |  | `[inline]`

Set the data packing mode.

Parameters:

  | i | element index (0-7)
  | pack | packing method

void dpx::GenericHeader::SetInputDevice | ( | const char * | dev | ) | `[inline]`

Set the input device name.

Parameters:

  | dev | buffer with device name

void dpx::GenericHeader::SetInputDeviceSerialNumber | ( | const char * | sn | ) | `[inline]`

Set the input device serial number.

Parameters:

  | sn | buffer with device serial number

void dpx::GenericHeader::SetLinesPerElement | ( | const U32 | lpe | ) | `[inline]`

Set the lines per element.

Parameters:

  | lpe | lines count

void dpx::GenericHeader::SetLowData | ( | const int | i,
|  | const U32 | data |
| ) |  |  | `[inline]`

Set the minimum data value.

Parameters:

  | i | element index (0-7)
  | data | minimum value

void dpx::GenericHeader::SetLowQuantity | ( | const int | i,
|  | const R32 | quant |
| ) |  |  | `[inline]`

Set the quantity of minimum data value.

Parameters:

  | i | element index (0-7)
  | quant | quantity

void dpx::GenericHeader::SetNumberOfElements | ( | const U16 | num | ) | `[inline]`

Set the number of elements.

Parameters:

  | num | element count

void dpx::GenericHeader::SetPixelsPerLine | ( | const U32 | ppl | ) | `[inline]`

Set the pixels per line.

Parameters:

  | ppl | pixel count

void dpx::GenericHeader::SetProject | ( | const char * | prj | ) | `[inline]`

Set the project.

Parameters:

  | prj | buffer with project

void dpx::GenericHeader::SetSourceImageFileName | ( | const char * | fn | ) | `[inline]`

Set the source image file name that this image was extracted.

Parameters:

  | fn | buffer with source file name

void dpx::GenericHeader::SetSourceTimeDate | ( | const long | secs | ) |

Set the source image time and date that this image was extracted.

Parameters:

  | secs | number of seconds since January 1, 1970 00:00

void dpx::GenericHeader::SetSourceTimeDate | ( | const char * | td | ) | `[inline]`

Set the source image time and date that this image was extracted.

Parameters:

  | td | buffer with time/date string

void dpx::GenericHeader::SetTransfer | ( | const int | i,
|  | const Characteristic | ch |
| ) |  |  | `[inline]`

Set the amplitude transfer function.

Parameters:

  | i | element index (0-7)
  | ch | transfer characteristic

void dpx::GenericHeader::SetUserSize | ( | const U32 | size | ) | `[inline]`

Set the size of the user data.

Parameters:

  | size | user data size in bytes

void dpx::GenericHeader::SetVersion | ( | const char * | v | ) | `[inline]`

Set the version string.

Parameters:

  | v | version string

void dpx::GenericHeader::SetXCenter | ( | const R32 | center | ) | `[inline]`

Set the X image center in pixels.

Parameters:

  | center | pixel position

void dpx::GenericHeader::SetXOffset | ( | const U32 | offset | ) | `[inline]`

Set the line offset (in pixels) from the first pixel in original image.

Parameters:

  | offset | offset count

void dpx::GenericHeader::SetXOriginalSize | ( | const U32 | size | ) | `[inline]`

GSt the number of pixels per line in the original image.

Parameters:

  | size | size

void dpx::GenericHeader::SetXScannedSize | ( | const R32 | size | ) | `[inline]`

Set the horizontal size of the original scanned optical image.

Parameters:

  | size | size in millimeters

void dpx::GenericHeader::SetYCenter | ( | const R32 | center | ) | `[inline]`

Set the Y image center in pixels.

Parameters:

  | center | pixel position

void dpx::GenericHeader::SetYOffset | ( | const U32 | offset | ) | `[inline]`

Set the frame offset (in lines) from the first line in original image.

Parameters:

  | offset | offset count

void dpx::GenericHeader::SetYOriginalSize | ( | const U32 | size | ) | `[inline]`

Set the number of lines per image in the original image.

Parameters:

  | size | size

void dpx::GenericHeader::SetYScannedSize | ( | const R32 | size | ) | `[inline]`

Set the vertical size of the original scanned optical image.

Parameters:

  | size | size in millimeters

void dpx::GenericHeader::SourceImageFileName | ( | char * | fn | ) | const`[inline]`

Get the source image file name that this image was extracted.

Parameters:

  | fn | buffer to write source file name (100+1)

void dpx::GenericHeader::SourceTimeDate | ( | char * | td | ) | const`[inline]`

Get the source image time and date that this image was extracted.

Parameters:

  | td | buffer to write time/date string (24+1)

Characteristic dpx::GenericHeader::Transfer | ( | const int | i | ) | const`[inline]`

Get the amplitude transfer function.

Parameters:

  | i | element index (0-7)

Returns:
  transfer characteristic

U32 dpx::GenericHeader::UserSize | ( |  | ) | const`[inline]`

Get the size of the user data.

Returns:
  user data size in bytes

void dpx::GenericHeader::Version | ( | char * | v | ) | const`[inline]`

Get current version string of header.

Parameters:

  | v | buffer to place string, needs to be at least 8+1 bytes long

R32 dpx::GenericHeader::XCenter | ( |  | ) | const`[inline]`

Get the X image center in pixels.

Returns:
  pixel position

U32 dpx::GenericHeader::XOffset | ( |  | ) | const`[inline]`

Get the line offset (in pixels) from the first pixel in original image.

Returns:
  offset count

U32 dpx::GenericHeader::XOriginalSize | ( |  | ) | const`[inline]`

Get the number of pixels per line in the original image.

Returns:
  size

R32 dpx::GenericHeader::XScannedSize | ( |  | ) | const`[inline]`

Get the horizontal size of the original scanned optical image.

Returns:
  size in millimeters

R32 dpx::GenericHeader::YCenter | ( |  | ) | const`[inline]`

Get the Y image center in pixels.

Returns:
  pixel position

U32 dpx::GenericHeader::YOffset | ( |  | ) | const`[inline]`

Get the frame offset (in lines) from the first line in original image.

Returns:
  offset count

U32 dpx::GenericHeader::YOriginalSize | ( |  | ) | const`[inline]`

Get the number of lines per image in the original image.

Returns:
  size

R32 dpx::GenericHeader::YScannedSize | ( |  | ) | const`[inline]`

Get the vertical size of the original scanned optical image.

Returns:
  size in millimeters

## Member Data Documentation

U32 dpx::GenericHeader::aspectRatio[2]

Pixel aspect ratio (horizontal:vertical).

U16 dpx::GenericHeader::border[4]

Border validity.

ImageElement dpx::GenericHeader::chan[MAX_ELEMENTS]

Image element data structures.

ASCII dpx::GenericHeader::copyright[200]

Copyright statement.

ASCII dpx::GenericHeader::creationTimeDate[24]

Create date time /see DateTimeFormat.

ASCII dpx::GenericHeader::creator[100]

Creator.

U32 dpx::GenericHeader::dittoKey

Ditto Key (0 = same as previous frame, 1 = new).

U32 dpx::GenericHeader::encryptKey

Encryption Key (0xffffffff if unencrypted).

ASCII dpx::GenericHeader::fileName[100]

File name.

U32 dpx::GenericHeader::fileSize

Total file size (in bytes).

U32 dpx::GenericHeader::genericSize

Generic Header length (in bytes).

U32 dpx::GenericHeader::imageOffset

Offset to image data (in bytes).

U16 dpx::GenericHeader::imageOrientation

Image orientation.

See also:
  Orientation

U32 dpx::GenericHeader::industrySize

Industry Header length (in bytes).

ASCII dpx::GenericHeader::inputDevice[32]

Input device name.

ASCII dpx::GenericHeader::inputDeviceSerialNumber[32]

Input device serial number.

U32 dpx::GenericHeader::linesPerElement

Lines per element.

U32 dpx::GenericHeader::magicNumber

Indicates start of DPX image file and is used to determine byte order.

U16 dpx::GenericHeader::numberOfElements

Number of elements (1-8).

U32 dpx::GenericHeader::pixelsPerLine

Pixels per line.

ASCII dpx::GenericHeader::project[200]

Project name.

ASCII dpx::GenericHeader::reserved1[104]

Reserved.

ASCII dpx::GenericHeader::reserved2[52]

Reserved.

ASCII dpx::GenericHeader::reserved3[20]

Reserved.

ASCII dpx::GenericHeader::sourceImageFileName[100]

Source image file name.

ASCII dpx::GenericHeader::sourceTimeDate[24]

Source date and time /see DateTimeFormat.

U32 dpx::GenericHeader::userSize

User defined header length (in bytes).

ASCII dpx::GenericHeader::version[8]

Version number of header format.

R32 dpx::GenericHeader::xCenter

X center.

U32 dpx::GenericHeader::xOffset

X offset.

U32 dpx::GenericHeader::xOriginalSize

X original size.

R32 dpx::GenericHeader::xScannedSize

X scanned size.

R32 dpx::GenericHeader::yCenter

Y center.

U32 dpx::GenericHeader::yOffset

Y offset.

U32 dpx::GenericHeader::yOriginalSize

Y original size.

R32 dpx::GenericHeader::yScannedSize

Y scanned size.

The documentation for this struct was generated from the following files:

- /Users/patrick/Development/DPX/svn/source/DPXHeader.h
- /Users/patrick/Development/DPX/svn/source/DPXHeader.cpp